<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:param name="uri" select="@value"/>
<xsl:template match="urn/httpsuri">
	<xsl:value-of select="@value"/>
</xsl:template>
<xsl:template match="urn/ldapuri">
	<strong>LDAP URI</strong>:  <xsl:value-of select="@value"/>
</xsl:template>
<xsl:template match="urn" mode="idurns">
<![CDATA[ parseURN(']]><xsl:value-of select="@value"/><![CDATA['); ]]>
</xsl:template>
<xsl:template match="urn" mode="main">
		<p>
		 <strong>Namespace</strong>: <xsl:value-of select="@value"/><br />
		 <strong>Owner</strong>: <xsl:value-of select="@owner"/><br />
		 <xsl:apply-templates select="ldapuri"/><br />
		 <strong>Reg. URL</strong>:  <a><xsl:attribute name="id"><xsl:value-of select="@value"/></xsl:attribute>URN</a>
		 <a><xsl:attribute name="href"><xsl:apply-templates select="httpsuri"/>search/?urn=<xsl:value-of select="@value"/></xsl:attribute><xsl:apply-templates select="httpsuri"/>search/?urn=<xsl:value-of select="@value"/></a> 
		</p>
</xsl:template>
<xsl:template match="urns">
	<html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<meta http-equiv="content-type" content="text/html; charset=utf-8" />
			<script type="text/javascript">
	<![CDATA[
		function seturns() {
	]]>
		<xsl:apply-templates select="urn" mode="idurns"/>
	<![CDATA[
		}
	
		function parseURN(urn) {
			document.getElementById(urn).href="/resolver?urn="+encodeURIComponent(urn);
			document.getElementById(urn).innerHTML="/resolver?urn="+encodeURIComponent(urn);
		}
	]]>
			</script>
			<style type="text/css">
    <![CDATA[
    
html, body { 
  	font-family: Arial, Verdana, sans-serif; 
   	color: #000000; 
  	background-color: #FFF; 
   	font-size: 90%; 
}

a { 
	color: #006699; 
	text-decoration: none;
}
a:hover { 
	text-decoration: underline; 
}
a:visited{ 
	color: #006699; 
}
    
/***** Columns.  This is the block "columns" *****/
.columns  {
    clear: both;
}
.singleColumnContainer  {
    float: left;
}
.singleColumn  {
    border: 1px solid #999999; 
    width: 500px;
    margin: auto;
}
.columnTitle  {
    padding: 5px 10px 5px 10px;
    font-size: 110%;
    font-weight: bold;
    color: #FFFFFF;
}
h2.columnTitle  {
    margin: 0px;
}
.columnDate  {
}
.columnThumb  {
}
.columnContent .bodyText {
    margin: 10px 10px 10px 10px;
}
.columnContent h1 {
    background: #E6E6CC; 
    padding: 5px 10px 5px 10px; 
    font-size: 94%; 
    font-weight: bold; 
    color: #00364A; 
    margin: 0;
}
.columnsPostBreak  {
    clear: both;
}

h3 {
	color: #990000;
}
/* *** Centre Content Blocks *** */
.columnTitle, .c_block_container  { background: #99CCCC; }
.centrecontent .c_block_wide_1  { 
    float: left;
    clear: both;
    display: inline;
    width: 465px;
    margin: 1px; 
    background: #CCE6FF; 
    border: 1px solid #999999; 
    padding: 10px;
}
.centrecontent .c_block_wide_2  { 
    float: left;
    clear: both;
    display: inline;
    width: 465px;
    margin: 1px; 
    background: #D5CEDF; 
    border: 1px solid #999999; 
    padding: 10px;
}
.centrecontent .c_block_wide_3  { 
    float: left;
    clear: both;
    display: inline;
    width: 465px;
    margin: 1px; 
    background: #E6E6CC; 
    border: 1px solid #999999; 
    padding: 10px;
}
.centrecontent .c_block_wide_4  { 
    float: left;
    clear: both;
    display: inline;
    width: 465px;
    margin: 1px; 
    background: #D5D1DF; 
    border: 1px solid #999999; 
    padding: 10px;
}
.centrecontent .c_block_wide_5  { 
    float: left;
    clear: both;
    display: inline;
    width: 465px;
    margin: 1px; 
    background: #D6DFED; 
    border: 1px solid #999999; 
    padding: 10px;
}
.centrecontent .c_block_wide_8 { 
    float: left;
    clear: both;
    display: inline;
    width: 465px;
    margin: 1px;
    background: #FFCC99; 
    border: 1px solid #999999; 
    padding: 10px;
}
	]]>
			</style>
			<title>eduGAIN URN Registry</title>
		</head>
		<body onload="seturns();">
			<div class="singleColumn" style="">
				<div>
					<h2 class="columnTitle">Delegated URNs</h2>
				</div>
				<div class="columnContent">
					<div class="conWebDoc">
						<div class="content">
							<div class="bodyText">
								<h3>Namespace Definition</h3>
								<xsl:apply-templates select="urn" mode="main"/>
							</div>
						</div>
					</div>
				</div>
			</div>
		</body>	
	</html>
</xsl:template>
</xsl:stylesheet>